MKFS(8)

NAZWA
mkfs - tworzy system plików Minix

SKŁADNIA

mkfs.minix [opcje] urządzenie [rozmiar-w-blokach]

OPIS

mkfs.minix tworzy linuksowy system plików MINIX na zadanym urządzeniu (zwykle partycji dysku).

urządzenie występuje zwykle w następującej postaci:

    /dev/hda[1-8] (1. dysk IDE)
    /dev/hdb[1-8] (2. dysk IDE)
    /dev/sda[1-8] (1. dysk SCSI)
    /dev/sdb[1-8] (2. dysk SCSI)

Urządzenie może być urządzeniem blokowym lub plikiem obrazu takowego, lecz nie jest to wymuszone. Urządzenie znakowe nie zapewni wiele rozrywki :-).

Parametr rozmiar-w-blokach jest pożądanym rozmiarem systemu plików, wyrażonym jako liczba bloków. Jest obecny tylko w celu kompatybilności wstecznej. Jeśli pominięto rozmiar, to zostanie on określony automatycznie. Dozwolone są wyłącznie liczby bloków większe od 10 i mniejsze od 65536.

OPCJE

-c, --check
    Przed utworzeniem systemu plików sprawdza uszkodzone bloki urządzenia. Jeżeli zostaną znalezione jakieś błędne bloki, to wyświetlana jest ich liczba.

-n, --namelength długość
    Określa maksymalną długość nazw plików. Obecnie dozwolone są wyłącznie wartości 14 i 30 w przypadku wersji 1 i 2 systemu plików. Wersja 3 pozwala wyłącznie na wartość 30. Domyślnie jest to 30.

--lock[=tryb]
    Use an exclusive BSD lock for the device or file that is operated upon. The optional argument mode can be yes (1), no (0), or nonblock. If the mode argument is omitted, it defaults to yes. This option overrides the environment variable $LOCK_BLOCK_DEVICE. The default is to not use any lock at all, but using a lock is recommended to avoid collisions with systemd-udevd(8) or other tools.

-i, --inodes liczba
    Określa liczbę i-węzłów systemu plików.

-l, --badblocks nazwa-pliku
    Odczytuje listę uszkodzonych bloków z pliku o nazwie nazwa-pliku. Plik zawiera po jednym numerze błędnego bloku w każdym wierszu. Wyświetlana jest liczba odczytanych błędnych bloków.

-1
    Tworzy system plików Minix w wersji 1. Tak jest domyślnie.

-2, -v
    Tworzy system plików Minix w wersji 2.

-3
    Tworzy system plików Minix w wersji 3.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi. Długiej opcji nie można łączyć z innymi opcjami.

ŚRODOWISKO

LOCK_BLOCK_DEVICE=<tryb>
    używa blokady na wyłączność BSD. Tryb to "1" lub "0". Więcej informacji w opisie opcji --lock.

STATUS ZAKOŃCZENIA

mkfs.minix zwraca jeden z poniższych statusów zakończenia:

0
    Brak błędów

8
    Błąd działania

16
    Błąd użycia lub składni

ZOBACZ TAKŻE

fsck(8), mkfs(8), reboot(8)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie mkfs.minix jest częścią pakietu util-linux, który można pobrać ze strony